org.wso2.carbon.logging.admin.stub.types.axis2

## Class GetLoggerData

- java.lang.Object
- - org.wso2.carbon.logging.admin.stub.types.axis2.GetLoggerData

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class GetLoggerData
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  GetLoggerData bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GetLoggerData.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `localLoggerName` field for LoggerName
    `protected boolean` | `localLoggerNameTracker`
    `static QName` | `MY_QNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetLoggerData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLoggerName()` Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `boolean` | `isLoggerNameSpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setLoggerName(String param)` Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MY_QNAME

          public static final QName MY_QNAME

    - #### localLoggerName

          protected String localLoggerName

      field for LoggerName

    - #### localLoggerNameTracker

          protected boolean localLoggerNameTracker

  - ### Constructor Detail

    - #### GetLoggerData

          public GetLoggerData()

  - ### Method Detail

    - #### isLoggerNameSpecified

          public boolean isLoggerNameSpecified()

    - #### getLoggerName

          public String getLoggerName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setLoggerName

          public void setLoggerName(String param)

      Auto generated setter method
      Parameters:
        `param` - LoggerName

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2019 WSO2. All rights reserved.